org.apache.fop.util

## Class ColorProfileUtil

- java.lang.Object
- - org.apache.fop.util.ColorProfileUtil

Deprecated.
use org.apache.xmlgraphics.java2d.color.profile.ColorProfileUtil directly

    public final class ColorProfileUtil
    extends Object

Helper methods for handling color profiles.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static String` `getICCProfileDescription(ICC_Profile profile)` Deprecated. use org.apache.xmlgraphics.java2d.color.profile.ColorProfileUtil directly
`static boolean` `isDefaultsRGB(ICC_Profile profile)` Deprecated. use org.apache.xmlgraphics.java2d.color.profile.ColorProfileUtil directly

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getICCProfileDescription

    public static String getICCProfileDescription(ICC_Profile profile)

Deprecated. use org.apache.xmlgraphics.java2d.color.profile.ColorProfileUtil directly
Returns the profile description of an ICC profile

Parameters:
  `profile` - the profile
Returns:
  the description

#### isDefaultsRGB

    public static boolean isDefaultsRGB(ICC_Profile profile)

Deprecated. use org.apache.xmlgraphics.java2d.color.profile.ColorProfileUtil directly
Indicates whether a given color profile is identical to the default sRGB profile provided by the Java class library.

Parameters:
  `profile` - the color profile to check
Returns:
  true if it is the default sRGB profile